cascading.flow.planner.iso.expression

## Class NonSafeOperationExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.TypeExpression<Operator>
    - - cascading.flow.planner.iso.expression.NonSafeOperationExpression

- All Implemented Interfaces:
    Expression<FlowElement>

      public class NonSafeOperationExpression
      extends TypeExpression<Operator>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.iso.expression.TypeExpression

      `TypeExpression.Topo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonSafeOperationExpression()`
    `NonSafeOperationExpression(ElementCapture capture)`
    `NonSafeOperationExpression(TypeExpression.Topo topo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applies(PlannerContext flowPlanner, ElementGraph elementGraph, FlowElement flowElement)`

    - ### Methods inherited from class cascading.flow.planner.iso.expression.TypeExpression

      `getType, toString`

    - ### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

      `getCapture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonSafeOperationExpression

          public NonSafeOperationExpression(ElementCapture capture)

    - #### NonSafeOperationExpression

          public NonSafeOperationExpression(TypeExpression.Topo topo)

    - #### NonSafeOperationExpression

          public NonSafeOperationExpression()

  - ### Method Detail

    - #### applies

          public boolean applies(PlannerContext flowPlanner,
                        ElementGraph elementGraph,
                        FlowElement flowElement)

      Specified by:
        `applies` in interface `Expression<FlowElement>`
      Overrides:
        `applies` in class `TypeExpression<Operator>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.